//
//  GameScene.swift
//  ex_SKShapeNode_line
//
//  Created by yoshiyuki oshige on 2014/10/16.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    // SKViewに追加されたら実行される
    override func didMoveToView(view: SKView) {
        // パスを作る
        let thePath = CGPathCreateMutable()
        // 点の座標　タプル(x,y)
        let points = [(0,0),(160,80),(-180,130),(-110,-140), (200,0)]
        // 始点
        let x = CGFloat(points[0].0)
        let y = CGFloat(points[0].1)
        CGPathMoveToPoint (thePath, nil, x, y);
        // 点をつないでいく
        for (var i = 1; i < points.count; i++) {
            let x = CGFloat(points[i].0)
            let y = CGFloat(points[i].1)
            CGPathAddLineToPoint (thePath, nil, x, y);
        }
        
        // シェイプノードを作る
        let myLine = SKShapeNode()
        // パスを設定する
        myLine.path = thePath
        // 線幅
        myLine.lineWidth = 5.0
        // 線色
        myLine.strokeColor = SKColor.redColor()
        // 塗り色
        myLine.fillColor = SKColor.clearColor() //塗らない
        // 表示座標
        myLine.position = CGPoint(
            x:CGRectGetMidX(self.frame), y:CGRectGetMidY(self.frame));
        
        // シェイプノードをシーンに追加する
        self.addChild(myLine)
        
    }
}
