//
//  GameScene.swift
//  ex_SKShapeNode_path
//
//  Created by yoshiyuki oshige on 2014/11/17.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    // SKViewに追加されたら実行される
    override func didMoveToView(view: SKView) {
        // パスを作る
        let thePath = CGPathCreateMutable()
        let radius:CGFloat = 100.0 //半径
        let start:CGFloat = 0 // 開始角度
        let end:CGFloat = CGFloat(M_PI*1.5) // 終了角度
        let clockwise = false // 反時計回り方向を描く
        CGPathAddArc(thePath, nil, 0, 0, radius, start, end, clockwise)
        
        // シェイプノードを作る
        let myShape = SKShapeNode()
        // パスを設定する
        myShape.path = thePath
        // 線幅
        myShape.lineWidth = 30.0
        // 線色
        myShape.strokeColor = SKColor.redColor()
        // 塗り色
        myShape.fillColor = SKColor.yellowColor()
        // 表示座標
        myShape.position = CGPoint(
            x:CGRectGetMidX(self.frame), y:CGRectGetMidY(self.frame));
        
        // myShapeをシーンに追加する
        self.addChild(myShape)
    }
}
