//
//  GameScene.swift
//  ex_SKSpriteNode_texture
//
//  Created by yoshiyuki oshige on 2014/10/15.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {

    // SKViewに追加されたら実行される
    override func didMoveToView(view: SKView) {
        // 画像からテクスチャを作る
        let imageTexture = SKTexture(imageNamed: "goods.jpg")

        // フィルタを作る
        let filter = CIFilter(name: "CIPinchDistortion")
        filter.setValue(CIVector(x:800, y:600), forKey: "inputCenter")
        filter.setValue(800, forKey: "inputRadius")
        filter.setValue(-0.8, forKey: "inputScale")
        // テクスチャにフィルタをかける
        let spTexture = imageTexture.textureByApplyingCIFilter(filter)
        
        // サイズ(w, h)
        let spSize = CGSizeMake(300, 300)
        // テクスチャからスプライトノードを作る
        let mySprite = SKSpriteNode(texture: spTexture, size: spSize)
        
        
        // シーンでの表示座標（シーン中央）
        mySprite.position = CGPoint(
            x:CGRectGetMidX(self.frame),
            y:CGRectGetMidY(self.frame));
        
        // スプライトノードをシーンに追加する
        self.addChild(mySprite)
    }
    
}

//CISepiaTone