//
//  GameScene.swift
//  ex_SKAction_fadeInOut
//
//  Created by yoshiyuki oshige on 2014/10/18.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    // スプライトノードの変数
    var mySprite = SKSpriteNode()
    
    override func didMoveToView(view: SKView) {
        // スプライトノードを作る
        mySprite = SKSpriteNode(imageNamed:"Spaceship")
        mySprite.position =  CGPoint(
            x:CGRectGetMidX(self.frame), y:CGRectGetMidY(self.frame))
        self.addChild(mySprite)
    }
    
    // タップで実行される
    override func touchesBegan(touches:Set<NSObject>, withEvent event: UIEvent) {
        var action = SKAction()
        if mySprite.alpha == 0.0 {
            // フェードインする（0.5秒で現れる）
            action = SKAction.fadeInWithDuration(0.5)
        } else if mySprite.alpha == 1.0  {
            // フェードアウトする（0.5秒で消える）
            action = SKAction.fadeOutWithDuration(0.5)
        }
        // アクションを実行する
        mySprite.runAction(action)
    }
}
