//
//  GameScene.swift
//  ex_SKAction_moveBy
//
//  Created by yoshiyuki oshige on 2014/10/17.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    // スプライトノードの変数
    var mySprite = SKSpriteNode()
    
    override func didMoveToView(view: SKView) {
        // スプライトノードを作る
        let spColor = SKColor.yellowColor()
        mySprite = SKSpriteNode(color: spColor, size: CGSizeMake(50, 50))
        mySprite.position =  CGPoint(
            x:CGRectGetMidX(self.frame), y:CGRectGetMidY(self.frame))
        self.addChild(mySprite)
    }
    
    // タップで実行される
    override func touchesBegan(touches: Set<NSObject>, withEvent event: UIEvent) {
        // ベクターを作る
        var vector:CGVector
        // 一度の移動距離
        let d = 50
        
        // 移動方向を4方向からランダムに決める
        let num = arc4random_uniform(4)
        switch num {
            case 0:
                vector = CGVector(dx: d, dy: 0)// 右
            case 1:
                vector = CGVector(dx: 0, dy: d)// 上
            case 2:
                vector = CGVector(dx: -d, dy: 0)// 左
            case 3:
                vector = CGVector(dx: 0, dy: -d)// 下
        default:
            vector = CGVector(dx: 0, dy: 0)
        }
      
        // 現在の座標からベクトルだけ0.5秒で移動する
        let action = SKAction.moveBy(vector, duration: 0.5)
        // アクションを実行する
        mySprite.runAction(action)
    }
    
}
