//
//  GameScene.swift
//  action_group
//
//  Created by yoshiyuki oshige on 2014/10/17.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {
        // ラベルノードを作る
        let myLabel = SKLabelNode(fontNamed:"Chalkduster")
        myLabel.text = "Hello"
        myLabel.fontSize = 40
        
        // ラベルノードをシーンに追加する
        let pos = convertPointFromView(CGPoint(x: view.frame.width/2, y: -100))
        myLabel.position = pos
        self.addChild(myLabel)
        
        // 移動
        let action1 = SKAction.moveToY(view.frame.height/2, duration: 1)
        // 回転
        let action2 = SKAction.rotateByAngle(CGFloat(M_PI*2), duration: 1)
        // 移動 + 回転
        let action = SKAction.group([action1, action2])
        
        // アクションを実行する
        myLabel.runAction(action)
    }
    
}
