//
//  GameScene.swift
//  action_repeat
//
//  Created by yoshiyuki oshige on 2014/10/19.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {
        // ラベルノードを表示する
        let myLabel = SKLabelNode(fontNamed:"Chalkduster")
        myLabel.text = "Swift"
        myLabel.fontSize = 65
        myLabel.position = convertPointFromView(view.center)
        self.addChild(myLabel)
       
        // フェードインアウトを作る（アウト+イン）
        let fadeIn = SKAction.fadeInWithDuration(1)
        let fadeOut = SKAction.fadeOutWithDuration(0.5)
        let fadeInOut = SKAction.sequence([fadeOut, fadeIn])
        
        // フェードインアウトを3回繰り返す
        let fadeInOut3 = SKAction.repeatAction(fadeInOut, count: 3)
        
        // フェードインアウト3回繰り返したら1秒待つ
        let wait = SKAction.waitForDuration(1)
        let fadeInOutAndWait = SKAction.sequence([fadeInOut3, wait])
        
        // 「フェードインアウト3回＋待ち」を繰り返す
        let winker = SKAction.repeatActionForever(fadeInOutAndWait)
        
        // アクションを実行する
        myLabel.runAction(winker)
    }
}
