//
//  GameScene.swift
//  action_sequence
//
//  Created by yoshiyuki oshige on 2014/10/19.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {
        // スプライトノードを作る
        let mySprite = SKSpriteNode(imageNamed:"Spaceship")
        mySprite.setScale(0.2)
        // スプライトノードをシーンに追加する
        mySprite.position = convertPointFromView(CGPoint(x:300, y:250))
        mySprite.alpha = 0.0
        self.addChild(mySprite)
        
        // フェードイン
        let action1 = SKAction.fadeInWithDuration(1)
        // 左向きに90度回転
        let action2 = SKAction.rotateByAngle(CGFloat(M_PI/2), duration: 2)
        // 左へ移動
        let action3 = SKAction.moveToX(-200, duration: 1)
        // 一時停止（1秒間）
        let wait = SKAction.waitForDuration(1)
        
        // 待つ → フェードイン → 待つ
        let fadeIn = SKAction.sequence([wait, action1, wait])
        // フェードイン → 左向きに回転 → 待つ → 左へ移動
        let action = SKAction.sequence([fadeIn,action2,wait,action3])
        
        // アクションを実行する
        mySprite.runAction(action)
    }
    
}

