//
//  GameScene.swift
//  action_timingMode_easeOut
//
//  Created by yoshiyuki oshige on 2014/10/19.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    // スプライトノードの変数
    var mySprite = SKSpriteNode()
    
    override func didMoveToView(view: SKView) {
        // スプライトノードを作る
        let spColor = SKColor.yellowColor()
        mySprite = SKSpriteNode(color: spColor, size: CGSizeMake(50, 50))
        mySprite.position =  CGPoint(
            x:CGRectGetMidX(self.frame), y:CGRectGetMidY(self.frame))
        self.addChild(mySprite)
    }
    
    // タップで実行される
    override func touchesBegan(touches: Set<NSObject>, withEvent event: UIEvent) {
        /* Called when a touch begins */
        for touch: AnyObject in touches {
            // タップされた座標を取り出す
            let location = touch.locationInNode(self)
            // タップされた座標へ0.5秒で移動するアクション
            let action = SKAction.moveTo(location, duration:0.5)
            action.timingMode = SKActionTimingMode.EaseOut
            // アクションを実行する
            mySprite.runAction(action)
        }
    }
}

