//
//  GameScene.swift
//  ex_SKAction_sound
//
//  Created by yoshiyuki oshige on 2014/10/19.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    
    override func didMoveToView(view: SKView) {
        // スプライトノードを作る
        let spColor = SKColor.yellowColor()
        let mySprite = SKSpriteNode(color: spColor, size: CGSizeMake(50, 50))
        // 名前をつける
        mySprite.name = "yellowBox"
        mySprite.position =  convertPointFromView(view.center)
        self.addChild(mySprite)
    }
    
    override func touchesBegan(touches: Set<NSObject>, withEvent event: UIEvent) {
        for touch: AnyObject in touches {
            // タップされた座標を取り出す
            let location = touch.locationInNode(self)
            // yellowBoxという名前のノードを取得する
            let mySprite = childNodeWithName("yellowBox")
            // yellowBoxがタップされたならば実行する
            if (mySprite?.containsPoint(location) == true) {
                // 音を鳴らすアクション
                let soundAction = SKAction.playSoundFileNamed("bun.mp3",
                    waitForCompletion: false) // 鳴り終わりを待たない
                // 広がって元に戻るアクション
                let action1 = SKAction.scaleTo(4, duration: 0.1)
                let action2 = SKAction.scaleTo(1, duration: 0.5)
                // 音とアニメーションを同時に行うアクション
                let action = SKAction.sequence([soundAction, action1, action2])
                // アクションを実行する
                mySprite?.runAction(action)
            }
        }
    }
    
}

