//
//  GameScene.swift
//  ex_SKPhysicsBody
//
//  Created by yoshiyuki oshige on 2014/10/22.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {
        // GameSceneシーンに物理ボディの有効領域を設定する
        self.physicsBody = SKPhysicsBody(edgeLoopFromRect: self.frame)
        
        // テクスチャアトラスを読み込む
        let atlas = SKTextureAtlas(named: "image")
        // カエルのスプライトノードを作る
        let frog = SKSpriteNode(texture: atlas.textureNamed("frog"))
        // カエルのスプライトノードに物理ボディを設定する
        frog.physicsBody = SKPhysicsBody(circleOfRadius: frog.size.height/2)
        frog.physicsBody?.friction = 0.5
        frog.physicsBody?.restitution = 0.8
        
        // アザラシのスプライトノードを作る
        let azarashi = SKSpriteNode(texture: atlas.textureNamed("azarashi"))
        // アザラシのスプライトノードに物理ボディを設定する
        azarashi.physicsBody = SKPhysicsBody(rectangleOfSize: azarashi.size)
        azarashi.physicsBody?.friction = 0.2
        azarashi.physicsBody?.restitution = 0.2
        
        //スプライトノードをシーンに追加する
        frog.position = convertPointFromView(CGPoint(x:130, y:50))
        azarashi.position = convertPointFromView(CGPoint(x:250, y:50))
        self.addChild(frog)
        self.addChild(azarashi)
    }
}
