//
//  GameScene.swift
//  ex_SKPhysicsBody_impulse
//
//  Created by yoshiyuki oshige on 2014/10/22.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {
        // マルチタップを受け付けない
        view.multipleTouchEnabled = false
        // 重力加速度を設定する
        self.physicsWorld.gravity = CGVectorMake(0, -2.0)
        // GameSceneシーンに物理ボディの有効領域を設定する
        self.physicsBody = SKPhysicsBody(edgeLoopFromRect: self.frame)

        // カエルのスプライトノードを作る
        let frog = SKSpriteNode(imageNamed: "frog.png")
        // スケールを30%に縮小する
        frog.setScale(0.3)
        // スプライトノードに名前をつける
        frog.name = "frog"
        
        // カエルのスプライトノードに物理ボディを設定する
        frog.physicsBody = SKPhysicsBody(circleOfRadius: frog.size.height/2)
        frog.physicsBody?.friction = 0.5
        frog.physicsBody?.restitution = 0.7
        frog.physicsBody?.mass *= 0.6
        
        //スプライトノードをシーンに追加する
        frog.position = convertPointFromView(view.center)
        self.addChild(frog)

    }
    
    // 画面のタップで実行する
    override func touchesBegan(touches: Set<NSObject>, withEvent event: UIEvent) {
        // frogスプライトノードを取得する
        let frog = childNodeWithName("frog") as! SKSpriteNode
        // 移動の加速度を0にリセットする
        frog.physicsBody?.velocity = CGVectorMake(0, 0)
        //上向きに30の力を加える
        frog.physicsBody?.applyImpulse(CGVectorMake(0, 30))
    }
   
}
