//
//  GameScene.swift
//  ex_SKFieldNode
//
//  Created by yoshiyuki oshige on 2014/10/26.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    // フィールドノードを作る
    var fieldNode:SKFieldNode = SKFieldNode.radialGravityField()
    
    override func didMoveToView(view: SKView) {
        // マルチタップを受け付けない
        view.multipleTouchEnabled = false
        //  重力加速度の設定
        self.physicsWorld.gravity = CGVectorMake(0, -0.1)
        //　物理ワールドの領域
        let worldRect = CGRectMake(300, 0, 430, 768)
        self.physicsBody = SKPhysicsBody(edgeLoopFromRect: worldRect)
        // 物理ボディを設定する
        fieldNode.physicsBody = SKPhysicsBody(circleOfRadius: 100)
        // 中央に表示
        fieldNode.position = convertPointFromView(view.center)
        // 他からの影響を受けなくする
        fieldNode.physicsBody?.dynamic = false
        // シーンに追加する
        self.addChild(fieldNode)
        
        // 四角のシェイプノードを大小200個作る
        for _ in 1...200 {
            let w = CGFloat(arc4random_uniform(10)+10)
            let box = SKShapeNode(rect: CGRectMake(-w/2, -w/2, w, w))
            let px = CGFloat(arc4random_uniform(400))
            let py = CGFloat(arc4random_uniform(400))
            box.position = convertPointFromView(CGPointMake(px, py))
            // 物理ボディを設定する
            box.physicsBody = SKPhysicsBody(circleOfRadius: box.frame.width/2)
            box.physicsBody?.mass = 1
            box.physicsBody?.allowsRotation = true
            box.physicsBody?.friction = 0.5
            box.physicsBody?.restitution = 0.3
            self.addChild(box)
        }
    }

    // フィールドノードをドラッグする
    override func touchesMoved(touches: Set<NSObject>, withEvent event: UIEvent) {
        for touch: AnyObject in touches {
            let loc = touch.locationInNode(self)
            // タッチの位置に移動する
            fieldNode.position = loc
        }
    }
    
}
